Skip to main content
GET
List a contract's line items

Authorizations

Authorization
string
header
required

An API key created in Settings, sent as Authorization: Bearer <key>.

Query Parameters

contractId
string<uuid>
required

The contract whose line items to list.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
amendmentId
string<uuid>

One of this contract's amendments, to list the line items as that amendment states them, for example the id of the contract's futureAmendment, or its draftAmendmentId. Leave it out for the contract's current amendment.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
startingAfter
string

The nextCursor of the previous page, to read the page after it.

Required string length: 1 - 1024
Pattern: ^[A-Za-z0-9._-]+$
endingBefore
string

The prevCursor of the previous page, to read the page before it.

Required string length: 1 - 1024
Pattern: ^[A-Za-z0-9._-]+$
limit
integer
default:50

Rows per page, 1 to 100.

Required range: 1 <= x <= 100

Response

Successful response

data
object[]
required
hasMore
boolean
required
nextCursor
string
prevCursor
string